[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetSiteInfo

Return information about this dock site (InfluenceRect).

## Declaration

Source position: controls.pp line 2245

`protected procedure TWinControl.GetSiteInfo(`
`Client: TControl;`
`var InfluenceRect: TRect;`
`MousePos: TPoint;`
`var CanDock: Boolean`
`); virtual;`

## Arguments

`Client` |  | The dragged control.
`InfluenceRect` |  | The screen rectangle within which a drop is allowed.
`MousePos` |  | The current mouse position.
`CanDock` |  | Can be set to False to reject an drop.

## Description

The InfluenceRect determines the screen coordinates, within which a drop is accepted. The InfluenceRect is the slightly inflated WindowRect for the dock site, and can be adjusted in the OnGetSiteInfo event handler.